<?php
// API doc : https://coincheck.com/ja/documents/exchange/api#order-book
// API url : https://coincheck.com/api/order_books

// order book api url
$coincheck_api_url  = "https://coincheck.com/api/order_books";

// proxy settings
$proxy      = "";
$proxy_port = "";

$curl = curl_init();
if ($curl == FALSE) {
    fputs(STDERR, "[ERR] curl_init(): " . curl_error($curl) . PHP_EOL);
    die(1);
}

// curl set options
curl_setopt($curl, CURLOPT_URL, $coincheck_api_url);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, TRUE);
// set proxy server settings
if (!empty($proxy) && !empty($proxy_port)) {
    curl_setopt($curl, CURLOPT_HTTPPROXYTUNNEL, 1);
    curl_setopt($curl, CURLOPT_PROXY, $proxy . ":" . $proxy_port);
    curl_setopt($curl, CURLOPT_PROXYPORT, $proxy_port);
}

// call order book api
$response = curl_exec($curl);
if ($response == FALSE) {
    fputs(STDERR, "[ERR] curl_exec(): " . curl_error($curl) . PHP_EOL);
    die(1);
}
curl_close($curl);

// json decode
$json_decode = json_decode($response, true);
if ($json_decode == NULL) {
    fputs(STDERR, "[ERR] json_decode(): " . json_last_error_msg() . PHP_EOL);
    die(1);
}

// output json_decode
//print_r($json_decode);

// output order_book
print("-------- asks --------\n");
foreach ($json_decode['asks'] as $key => $value) {
    if ($key > 10) { break; }
    printf("%.1f : %.8f\n", $value[0], $value[1]);
}
print("-------- bids --------\n");
foreach ($json_decode['bids'] as $key => $value) {
    if ($key > 10) { break; }
    printf("%.1f : %.8f\n", $value[0], $value[1]);
}

exit(0);
